/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/*---Global css---*/

  :root{
    --bg: #05001c;
	 --bg-body: #000012;
    --bg-soft: #0f0c1c;
    --card: #0a0718;
    --card-2: #1b1730;
    /* background:linear-gradient(); */
    --purple: linear-gradient(90deg,#6d28d9,#9333ea);
    /* --purple: linear-gradient(90deg, #6d28d9, #8b5cf6); */
    --purple-light: #9b5cff;
    --purple-glow: #9333ea;
    --text: #ffffff;
    --text-muted: #a3a0b3;
    --border: #1e1437;
  }

  .ctaBtn{
    background: linear-gradient(90deg, #6d28d9, #2563eb);
    display: inline-block;
    padding: 14px 28px;
    margin-left: 60px;
    border-radius: 10px;
    text-decoration: none;
    color: #fff;
    border: 1px solid #8b5cf6;
  }

  .btn-primary{
    background:linear-gradient(90deg,#6d28d9,#9333ea);
    color:#fff;
    padding:12px 24px;
    border-radius:8px;
    font-size:14px;
    font-weight:500;
    display:inline-flex;
    align-items:center;
    gap:8px;
    border:none;
    cursor:pointer;
    transition:transform .2s, box-shadow .2s;
  }
  
  .btn-primary:hover{
    transform:translateY(-2px);
    color: white !important;
    box-shadow:0 8px 24px rgba(124,58,237,.4);
  }

  .btn-secondary{
    background:var(--purple);
    color:#fff;
    padding:14px 28px;
    border-radius:8px;
    font-size:15px;
    font-weight:500;
    display:inline-flex;
    align-items:center;
    gap:8px;
    border:none;
    cursor:pointer;
    transition:transform .2s, box-shadow .2s;
  }
  
  .btn-secondary:hover{
    transform:translateY(-2px);
    color: white;
    box-shadow:0 8px 24px rgba(124,58,237,.4);
  }

  .colortext{
    color: var(--purple-light);
  }

  .icon {
    padding: 18px;
    border-radius: 8px;
    background: var(--purple);
    font-size: 20px;
}

.card {
    background: var(--bg);
    padding: 32px;
    border-radius: 20px;
    border: 1px solid #1e1437;
    transition: .3s;
}

.card h3 {
    margin: 18px 0;
}

.headContent{
    text-align: center;
}


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Inter, sans-serif;
}

body {
	background: var(--bg-body);
/* 	background: red; */
    color: white;
}

.site-main {
    max-width: 100% !important;
}

.container {
    width: 100%;
    max-width: 1440px;
    margin: auto;
    /* border: 2px solid red; */
}


section {
    padding: 90px 0;
}

h1 {
    font-size: 68px;
    line-height: 1.2;
    margin: 20px 0;
}

h2{
    font-size: 40px;
}

h3{
    font-size: 18px;
}

h4{
    font-size: 20px;
}


.sub_heading {
    color: var(--purple-light);
    text-transform: uppercase;
    font-size: 16px;
    font-weight: 600;
    letter-spacing: 2px;
    margin: 0px;
}

h1, h2, h3 {
    line-height: 1.2;
}


a {
    color: #9b5cff;
}

p {
    color: #b7b7c7;
}

.btn {
    padding: 14px 28px;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    font-weight: 600;
}



.outline {
    border: 1px solid #6037c9;
    background: transparent;
    color: white;
}



.site-header {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    position: relative;
    padding: 0;
}

.site-header:not(.dynamic-header) {
    max-width: 1440px;
}

.site-branding .custom-logo {
    width: 100% !important;
    max-width: 202px !important;
}



header ul li a:hover,
header ul li.current-menu-item a,
header ul li.current_page_item a,
header ul li a.active {
    color: var(--purple-light);
}

.site-navigation ul.menu li ul {
    background: #050517;
    display: none;
    left: 0;
    min-width: 174px;
    position: absolute;
    top: 100%;
    z-index: 2;
    border: 1px solid #1e1437;
    border-radius: 10px;
}
.site-navigation ul.menu li.menu-item-has-children:after {
    align-items: center;
    color: #666;
    content: "\f107"; /* fa-chevron-down */
    display: flex;
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    font-size: 14px;
    justify-content: center;
    text-decoration: none;
}

.site-navigation ul.menu li.menu-item-has-children {
    padding-inline-end: 0px;
}

.sub-menu li a{
    font-size: 15px !important;
}

.site-navigation ul.menu li ul li {
    border-block-end: 1px solid #1e1437;
}

/* header ul li a:hover{
    color: #c36;
} */



nav {

    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 24px 0;

}

.logo {

    font-size: 26px;
    font-weight: 800;
}

.logo span {
    color: #a56cff;
}

.menu {
    display: flex;
    gap: 30px;
}

.menu a {
    color: white;
    text-decoration: none;
}


/*---Footer---*/
.custom-footer {
    padding: 70px 0 20px;
    color: #fff;
}



.footer-grid {
    display: grid;
    grid-template-columns: 2fr 1fr 1fr 1.5fr;
    gap: 50px;
    padding-bottom: 40px;
    border-bottom: 1px solid rgba(255, 255, 255, .1);
}

.footer-logo img {
    max-width: 180px;
    margin-bottom: 20px;
}

.footer-desc {
    color: #a7a7a7;
    line-height: 1.8;
    margin-bottom: 20px;
}

.footer-col h4 {
    margin-bottom: 20px;
    font-size: 18px;
    color: #fff;
    font-weight: 500;
}

.footer-menu,
.contact-list {
    list-style: none;
    margin: 0;
    padding: 0;
}

.footer-menu li,
.contact-list li {
    margin-bottom: 12px;
    list-style: none;
}

.footer-menu a,
.contact-list li {
    color: #bdbdbd;
    text-decoration: none;
    transition: .3s;
}

.footer-menu a:hover {
    color: #c36;
}

.social-links {
    display: flex;
    gap: 15px;
}

.social-links a {
    width: 38px;
    height: 38px;
    border: 1px solid rgba(255, 255, 255, .1);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    text-decoration: none;
}

.footer-bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 20px;
}

.footer-bottom p {
    margin: 0;
    color: #999;
}

.footer-policy {
    display: flex;
    gap: 20px;
}

.footer-policy a {
    color: #999;
    text-decoration: none;
}

.footer-policy a:hover {
    color: #8b5cf6;
}

@media(max-width:991px) {

    .footer-grid {
        grid-template-columns: 1fr 1fr;
    }

    .footer-bottom {
        flex-direction: column;
        gap: 15px;
        text-align: center;
    }
}

@media(max-width:767px) {

    .footer-grid {
        grid-template-columns: 1fr;
        gap: 35px;
    }

    .footer-policy {
        flex-direction: column;
        gap: 10px;
    }
}


/*---Blog Section---*/

#mainSection {
    margin-top: -102px;
}
.blogpage{
    background: radial-gradient(
        circle at top center,
        rgba(111,0,255,.22) 0%,
        transparent 30%
    );
    min-height: 80vh;
    padding: 120px 0 0 0;
    background-repeat: no-repeat;
}

.latest-insights {
    padding: 204px 0px 100px 0px;
}

.section-heading {
    text-align: center;
    margin-bottom: 60px;
}

.section-heading p {
    color: #a8b2d1;
    font-size: 16px;
}

.blog-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

.blog-card {
    background: rgba(255, 255, 255, 0.03);
    border: 1px solid rgba(255, 255, 255, 0.08);
    border-radius: 14px;
    overflow: hidden;
    transition: .4s;
}

.blog-card:hover {
    transform: translateY(-8px);
}

.blog-image {
    display: block;
    height: 220px;
}

.blog-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.blog-content {
    padding: 24px;
}

.blog-content h3 {
    margin-bottom: 18px;
    line-height: 1.5;
}

.blog-content h3 a {
    color: #fff;
    font-size: 18px;
    text-decoration: none;
}

.blog-meta {
    margin-bottom: 20px;
    color: #8a94b8;
    font-size: 14px;
}

.read-more {
    color: #7c4dff;
    text-decoration: none;
    font-weight: 600;
}

.blog-btn-wrap {
    text-align: center;
    margin-top: 50px;
}

.blog-btn {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    background: linear-gradient(90deg, #6a5cff, #8b5cf6);
    color: #fff;
    text-decoration: none;
    padding: 14px 32px;
    border-radius: 8px;
    font-weight: 600;
}

@media(max-width:991px) {

    .blog-grid {
        grid-template-columns: repeat(2, 1fr);
    }

}

@media(max-width:767px) {

    .blog-grid {
        grid-template-columns: 1fr;
    }

    .section-heading h2 {
        font-size: 32px;
    }

}


/* Hover effect */

/* Global Hover Effect */
.hover-effect{
    position: relative;
    overflow: hidden;
    transition: all 0.4s ease;
}

.hover-effect::before{
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(
        135deg,
        rgba(124,58,237,0.15),
        transparent,
        rgba(59,130,246,0.15)
    );
    opacity: 0;
    transition: 0.4s ease;
    pointer-events: none;
    z-index: 1;
}

.hover-effect > *{
    position: relative;
    z-index: 2;
}

.hover-effect:hover{
    transform: translateY(-8px);
}

.hover-effect:hover::before{
    opacity: 1;
}

@media(max-width:1440px){
	.container{
		padding: 0 20px 0 20px
	}
	#mainSection {
		margin-top: -228px;
	}
	h1{
		font-size: 55px;
	}
}